import { type PluginOption } from 'vite'
import vue from '@vitejs/plugin-vue'
import initAutoImport from './auto-import'
import initComponents from './vue-components'
import VueSetupExtend from 'vite-plugin-vue-setup-extend'
import initIcons from './import-icons'
import initSvgIcons from './svg-icon'
import { ViteEjsPlugin } from 'vite-plugin-ejs'
import vueJsx from '@vitejs/plugin-vue-jsx'
/**
 * 初始创建 vite 插件
 * @param viteEnv
 */
export const initVitePlugins = (viteEnv: ImportMetaEnv, isBuild = false): (PluginOption | PluginOption[])[] => {
  const { VITE_APP_TITLE } = viteEnv
  return [
    vue(),
    vueJsx(),
    ViteEjsPlugin({
      title: VITE_APP_TITLE
    }),
    VueSetupExtend(),
    // 自动导入
    initAutoImport(),
    // initAutoTinyImport(),
    initComponents(),
    initIcons(),
    initSvgIcons(isBuild)
  ]
}
